// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "AssetManager.hpp"

using namespace Dawn;

Asset::Asset(const std::string name) : name(name) {
  assertTrue(name.size() > 0, "Asset::Asset: Name cannot be empty");
}

Asset::~Asset() {
  this->loaded = false;
}