// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "UISimpleMenuItem.hpp"

using namespace Dawn;

UISimpleMenuItem::UISimpleMenuItem(SceneItem *item) : SceneItemComponent(item) {

}

UIComponent * UISimpleMenuItem::getComponentForHighlighting() {
  if(uiComponent == nullptr) uiComponent = item->getComponent<UIComponent>();
  return uiComponent;
}